Page MenuHomePhabricator

Deprecate/close mediawiki/extensions/skins
Closed, ResolvedPublic

Description

Skins should be in skins, not the historical extensions/skins.

Related: Bug 50696


Version: wmf-deployment
Severity: normal

Details

Reference
bz60927

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:59 AM
bzimport added a project: Gerrit.
bzimport set Reference to bz60927.
bzimport added a subscriber: Unknown Object (MLST).
Isarra created this task.Feb 5 2014, 11:44 PM

What exactly has to be done about this? Chad, do you know / can you do that?

QChris added a comment.Jul 1 2014, 1:19 PM

When just looking at just the files in mediawiki/extensions/skins, it
seems that the contained

  • Daddio
  • Donate
  • Schulenburg
  • Synagonism
  • Tomas
  • p2wiki

skins haven't yet had a repository underneath mediawiki/skins
requested. Cannot we just let the above skins bitrot in the
mediawiki/extensions/skins repo?

No need to delete the mediawiki/extensions/skins repo from my point of
view.

hashar closed this task as Resolved.Sep 10 2015, 9:44 AM
hashar claimed this task.
hashar added a subscriber: hashar.

I have marked the mediawiki/extensions/skins repo readonly.

The repository has been made empty with https://gerrit.wikimedia.org/r/#/c/177954/

Change 237342 had a related patch set uploaded (by Hashar):
mediawiki/extensions/skins is obsolete

https://gerrit.wikimedia.org/r/237342

Change 237342 merged by jenkins-bot:
mediawiki/extensions/skins is obsolete

https://gerrit.wikimedia.org/r/237342